org.codehaus.groovy.ast.stmt

## Class WhileStatement

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.stmt.Statement
    - - org.codehaus.groovy.ast.stmt.WhileStatement

-     public class WhileStatement
      extends Statement

  Represents a while (condition) { ... } loop in Groovy
  Version:
    $Revision: 20591 $
  Author:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WhileStatement(BooleanExpression booleanExpression, Statement loopBlock)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BooleanExpression` | `getBooleanExpression()`
    `Statement` | `getLoopBlock()`
    `void` | `setBooleanExpression(BooleanExpression booleanExpression)`
    `void` | `setLoopBlock(Statement loopBlock)`
    `void` | `visit(GroovyCodeVisitor visitor)`

    - ### Methods inherited from class org.codehaus.groovy.ast.stmt.Statement

      `getStatementLabel, isEmpty, setStatementLabel`

    - ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

      `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WhileStatement

          public WhileStatement(BooleanExpression booleanExpression,
                        Statement loopBlock)

  - ### Method Detail

    - #### visit

          public void visit(GroovyCodeVisitor visitor)

      Overrides:
        `visit` in class `ASTNode`

    - #### getBooleanExpression

          public BooleanExpression getBooleanExpression()

    - #### getLoopBlock

          public Statement getLoopBlock()

    - #### setBooleanExpression

          public void setBooleanExpression(BooleanExpression booleanExpression)

    - #### setLoopBlock

          public void setLoopBlock(Statement loopBlock)